export default {
    init(vm){
        return {
			// 发现列表
			getArticlelist({ page, value, store_id, member_id, is_video_img }){
                return vm.$u.post('article/articlelist', {
					page: page,
					like: value, // 搜索内容
					store_id: store_id,
					member_id: member_id,
					is_video_img: is_video_img,
				});
			},
			// 获取商城首页信息（顶部轮播图与商品分类）
			getShopTopList(){
                return vm.$u.post('Shop/getShopTopList');
			},
			// 商品推荐
            getGoodsRecommend({page}){
                return vm.$u.post('Goods/getGoodsRecommend', {
					page: page
				});
			},
			// 购物车商品列表
			getCartList() {
				return vm.$u.post('cart/cartList');
			},
			// 购物车商品列表(树结构)
			getCartTreeList() {
				return vm.$u.post('cart/cartTreeList');
			},
			// 添加购物车
			addCart({ goods_id, quantity }) {
				return vm.$u.post('cart/cartAdd', {
					goods_id: goods_id,
					quantity: quantity
				});
			},
			// 购物车删除商品
			deleteCart({ id }) {
				return vm.$u.post('cart/cartDel', {
					cart_ids: id
				});
			},
			// 商品详情
			getGoodsDetails({ id }) {
				return vm.$u.post('Goods/goodDetails', {
					goods_id: id
				});
			}
        }
    }
    
}